This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 436724

Summary: logrotate script performs unpleasant kill just to open new log files
Product: [Fedora] Fedora Reporter: JW <ohtmvyyn>
Component: httpdAssignee: Joe Orton <jorton>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 10CC: scott
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-02-05 12:07:24 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description JW 2008-03-09 19:04:01 EDT
Description of problem:
The httpd logrotate script uses SIGHUP rather than SIGUSR1

Version-Release number of selected component (if applicable):
httpd-2.2.6-3

How reproducible:
Always

Steps to Reproduce:
1. read /etc/logrotate.d/httpd
2. read /var/www/manual/stopping.html

  
Actual results:
Active httpd child connections abruptly terminated.

Expected results:
Active httpd child connections should continue to completion.

Additional info:
Creating new log files is not an urgent task that requires possibly active child
connections to be abruptly terminated.  Much better to use SIGUSR1 which will
allow for graceful termination of child processes after completing any active
request.
Comment 1 Scott Sanders 2008-03-10 14:57:38 EDT
This greatly affects servers that serve a large number of HTTP connections. Log
rotation in my case occurs at minimum hourly. The easiest fix is to modify
httpd's init script to signal USR1 during reload.
Comment 2 Bug Zapper 2008-11-26 05:05:46 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Joe Orton 2009-02-05 12:07:24 EST

*** This bug has been marked as a duplicate of bug 221073 ***